Bug 218307

Summary: [TextureMapper] Replica layers don't blend correctly because computeOverlapRegions doesn't take TextureMapperPaintOptions::transform into account
Product: WebKit Reporter: Fujii Hironori <Hironori.Fujii>
Component: PlatformAssignee: Fujii Hironori <Hironori.Fujii>
Status: RESOLVED FIXED    
Severity: Normal CC: cgarcia, cmarcelo, don.olmstead, ews-watchlist, kondapallykalyan, luiz, magomez, noam, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
test case
none
[Screenshot] GTK, r269084
none
WIP patch
none
test case (double reflections)
none
test case (with backdrop filter)
none
WIP patch
none
Patch
none
Patch
none
Patch none

Description Fujii Hironori 2020-10-28 14:35:58 PDT
Created attachment 412572 [details]
test case

[TextureMapper] Replica layers don't blend correctly because computeOverlapRegions doesn't take TextureMapperPaintOptions::transform into account
Comment 1 Fujii Hironori 2020-10-28 14:42:50 PDT
Created attachment 412573 [details]
[Screenshot] GTK, r269084
Comment 2 Fujii Hironori 2020-10-28 19:22:45 PDT
Created attachment 412604 [details]
WIP patch
Comment 3 Fujii Hironori 2020-10-28 19:39:04 PDT
Created attachment 412608 [details]
test case (double reflections)
Comment 4 Fujii Hironori 2020-10-28 19:50:46 PDT
Created attachment 412609 [details]
test case (with backdrop filter)
Comment 5 Fujii Hironori 2020-10-28 21:42:19 PDT
Created attachment 412612 [details]
WIP patch
Comment 6 Fujii Hironori 2020-10-28 23:07:46 PDT
Created attachment 412614 [details]
Patch
Comment 7 Fujii Hironori 2020-10-29 01:04:25 PDT
Created attachment 412623 [details]
Patch
Comment 8 Fujii Hironori 2020-10-29 13:23:50 PDT
Created attachment 412678 [details]
Patch
Comment 9 Fujii Hironori 2020-10-30 13:27:39 PDT
Comment on attachment 412678 [details]
Patch

Clearing flags on attachment: 412678

Committed r269204: <https://trac.webkit.org/changeset/269204>
Comment 10 Fujii Hironori 2020-10-30 13:27:42 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2020-10-30 13:28:18 PDT
<rdar://problem/70894256>